# DataGridViewCellStyleScopes

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Specifies the scope (the type of object) that owns the cell style.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum DataGridViewCellStyleScopes : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum DataGridViewCellStyleScopes As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name             | Description                                    |
| ---------------- | ---------------------------------------------- |
| **Cell**         | The style is applied to single cell.           |
| **Column**       | The style is applied to column.                |
| **ColumnHeader** | The style is applied to a column header.       |
| **DataGridView** | The style is applied to the data grid control. |
| **None**         | The owning type is not specified.              |
| **Row**          | The style is applied to a row.                 |
| **RowHeader**    | The style is applied to a row header.          |

## Used By

| Name                                                                                                                | Description                                                      |
| ------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------- |
| [DataGridViewCellStyle.Scope](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcellstyle.md#scope) | Returns the scope (the type of object) that owns the cell style. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcellstylescopes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
